{
  "name": "@itentialopensource/adapter-kafka",
  "version": "0.5.6",
  "description": "[Deprecated] Itential adapter to connect to kafka",
  "main": "adapter.js",
  "wizardVersion": "2.35.0",
  "engineVersion": "1.40.2",
  "scripts": {
    "artifactize": "npm i && node utils/packModificationScript.js",
    "preinstall": "node utils/setup.js",
    "deinstall": "node utils/removeHooks.js",
    "lint": "node --max_old_space_size=4096 ./node_modules/eslint/bin/eslint.js . --ext .json --ext .js",
    "lint:errors": "node --max_old_space_size=4096 ./node_modules/eslint/bin/eslint.js . --ext .json --ext .js --quiet",
    "test:unit": "mocha test/unit/adapterTestUnit.js --LOG=error",
    "test:integration": "mocha test/integration/adapterTestIntegration.js --LOG=error",
    "test": "npm run test:unit && npm run test:integration",
    "deploy": "npm publish --registry=https://registry.npmjs.org --access=public",
    "build": "npm run deploy",
    "postinstall": "patch-package"
  },
  "keywords": [
    "Itential",
    "IAP",
    "Automation",
    "Integration",
    "App-Artifacts",
    "Adapter",
    "Notification",
    "Messaging",
    "Kafka",
    "Pre-Release"
  ],
  "license": "Apache-2.0",
  "engines": {
    "node": ">=14.0.0",
    "npm": ">=6.0.0"
  },
  "repository": {
    "type": "git",
    "url": "git@gitlab.com:itentialopensource/adapters/adapter-kafka.git"
  },
  "author": "Itential",
  "homepage": "https://gitlab.com/itentialopensource/adapters/adapter-kafka",
  "dependencies": {
    "ajv": "^8.17.1",
    "avro-schema-registry": "^2.1.0",
    "avsc": "^5.4.21",
    "fs-extra": "^11.2.0",
    "json-query": "^2.2.2",
    "kafka-node": "5.0.0",
    "patch-package": "^6.4.7",
    "readline-sync": "^1.4.10",
    "uuid": "^3.0.1"
  },
  "devDependencies": {
    "chai": "^4.3.7",
    "eslint": "^8.44.0",
    "eslint-config-airbnb-base": "^15.0.0",
    "eslint-plugin-import": "^2.27.5",
    "eslint-plugin-json": "^3.1.0",
    "mocha": "^10.7.0",
    "testdouble": "^3.18.0",
    "winston": "^3.13.1"
  },
  "private": false
}
